Bug 197739 - Review Request: perl-DateTime-Event-Recurrence
Review Request: perl-DateTime-Event-Recurrence
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 197726
Blocks: FE-ACCEPT 197744
  Show dependency treegraph
 
Reported: 2006-07-05 17:36 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-13 16:33:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-07-05 17:36:26 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-DateTime-Event-Recurrence/perl-DateTime-Event-Recurrence.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-DateTime-Event-Recurrence-0.16-1.src.rpm
Description:
This module provides convenience methods that let you easily create
DateTime::Set objects for various recurrences, such as "once a month" or
"every day". You can also create more complicated recurrences, such as
"every Monday, Wednesday and Thursday at 10:00 AM and 2:00 PM".
Comment 1 Jason Tibbitts 2006-07-06 19:51:27 EDT
Your two manual versioned dependencies are duplicated by unversioned
dependencies found by RPM; you will have to remove yours or filter RPM's.

Review:
* source files match upstream:
   9a08830b081a93619f4a8564063e3bf0  DateTime-Event-Recurrence-0.16.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged (0.16 12 May 2005)
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64) (with DateTime-Set and
Set-Infinite in my local repo)
* rpmlint is silent.
* noarch package, so no debuginfo.
X final provides and requires are sane:
   perl(DateTime::Event::Recurrence) = 0.16
   perl(DateTime::Set::ICal)
   perl-DateTime-Event-Recurrence = 0.16-1.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
X  perl(DateTime)
X  perl(DateTime) >= 0.27
X  perl(DateTime::Set)
X  perl(DateTime::Set) >= 0.17
   perl(DateTime::Span)
   perl(Params::Validate)
   perl(constant)
   perl(integer)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=14, Tests=195, 16 wallclock secs (15.10 cusr +  0.35 csys = 15.45 CPU)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Steven Pritchard 2006-07-07 13:34:07 EDT
(In reply to comment #1)
> Your two manual versioned dependencies are duplicated by unversioned
> dependencies found by RPM; you will have to remove yours or filter RPM's.

I dropped the manual dependencies.

http://ftp.kspei.com/pub/steve/rpms/perl-DateTime-Event-Recurrence-0.16-2.src.rpm
Comment 3 Jason Tibbitts 2006-07-07 13:40:33 EDT
Looks good now.  The dependency list is now:
   perl(:MODULE_COMPAT_5.8.8)
   perl(DateTime)
   perl(DateTime::Set)
   perl(DateTime::Span)
   perl(Params::Validate)
   perl(constant)
   perl(integer)
   perl(strict)
   perl(vars)

APPROVED
Comment 4 Steven Pritchard 2006-07-13 16:33:32 EDT
Imported into CVS, branches created, and builds requested.

Note You need to log in before you can comment on or make changes to this bug.